Page MenuHomePhabricator

File exporter beta feature does not have an RTL image
Closed, ResolvedPublic2 Story Points

Description

The current Beta feature preference of the FileExporter extension doesn't have a right-to-left (RTL) image. All other beta features on Arabic Wikipedia have RTL-ed images except this one.

It's probably fine to mirror the existing image. It would be awesome if a person with knowledge about right-to-left wikis can confirm it looks ok.

Event Timeline

Catrope created this task.Jul 19 2018, 3:15 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 19 2018, 3:15 PM
thiemowmde triaged this task as Low priority.May 14 2019, 2:00 PM
thiemowmde updated the task description. (Show Details)

For the person implementing it: This is the arab beta features page showing the existing right-to-left icons

WMDE-Fisch set the point value for this task to 2.May 21 2019, 1:32 PM
awight added a subscriber: awight.May 21 2019, 1:32 PM

For entertainment:

Oh, the colors in this image are not entirely correct. Bonus points for flipping the mountain!

Oh, the colors in this image are not entirely correct. Bonus points for flipping the mountain!

Interesting--there's a rogue layer, comparing https://upload.wikimedia.org/wikipedia/commons/5/5f/Logo_for_the_beta_feature_FileExporter.svg I see two blue mountains, but in the PNG preview https://commons.wikimedia.org/wiki/File:Logo_for_the_beta_feature_FileExporter.svg I see one gray and one blue.

It wasn't a layer. It was just.... something weird. This should be the fix, thanks for catching!

awight claimed this task.May 22 2019, 11:22 AM
thiemowmde removed awight as the assignee of this task.May 23 2019, 9:03 AM
thiemowmde moved this task from Review to Sprint Backlog on the WMDE-QWERTY-Sprint-2019-05-15 board.

I'm confused now. So what is correct? The image with two blue mountains or the image with one grey and one blue mountain? :-D

So it seems that in the events in T175549: Use new beta feature logo in FileExporter this went from grey and blue to blue and blue - without being noticed. @Jan_Dittrich any opinions on that?

Uh. The SVG file contains a <style> element at the top. That contains instructions to colorize certain elements. This is only respected if you display the file in a browser. The style rules do have a higher precedence then. An SVG editor like Inkscape ignores it.

So it seems that in the events in T175549: Use new beta feature logo in FileExporter this went from grey and blue to blue and blue - without being noticed. @Jan_Dittrich any opinions on that?

After a quick talk to @Jan_Dittrich : blue & grey is slightly preferred, if the grey is in the existing color schema. But blue & blue is also ok if things turn out to get complicated.

WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-05-15 board.

Change 512168 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileExporter@master] Add BetaFeature image for RTL wikis

https://gerrit.wikimedia.org/r/512168

FYI: The darker gray is on the https://meta.wikimedia.org/wiki/Wiki_color_formatting_help#WikimediaUI_color_palette_(M82) - using the grey to blue version now. :-).

Change 512168 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@master] Add BetaFeature image for RTL wikis

https://gerrit.wikimedia.org/r/512168

I don't know how to check this apart from waiting until the train ran through and then checking the live beta pages

Lea_WMDE closed this task as Resolved.Mon, Jun 3, 8:43 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-05-15 board.
awight added a comment.Mon, Jun 3, 9:26 AM

I don't know how to check this apart from waiting until the train ran through and then checking the live beta pages

A technical question about this: beta cluster wikis (not test.wmo) should update as soon as the patch is merged to the master branch. If that's not happening for us, something need fixing...

I don't know how to check this apart from waiting until the train ran through and then checking the live beta pages

A technical question about this: beta cluster wikis (not test.wmo) should update as soon as the patch is merged to the master branch. If that's not happening for us, something need fixing...

No there's everything fine with beta. The reasons why this could not be tested on beta properly is, that we do not have the extension deployed as a beta feature there, but as a default feature.